* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Bebas Neue';
}


.colorSwap {
    color: #333;
    font-style: italic;
}

.blog-content h1 {
    color: #fd79c4;
    font-size: 3.5em;
}
.colorsHeader {
    color: #fd79c4;
    font-size: 10em;
    text-align: center;
    margin-top: 3%;
}
header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 5%;
  font-family: 'Bebas Neue', sans-serif;
  background-color: #fef3f8;
  border-bottom: 1px solid #e0e0e0;
}

.headerName {
  font-size: 3em;
  margin: 0;
  color: #FEABDA;
  cursor: pointer;
}

.pink {
  color: #fd79c4;
  font-weight: bold;
}

.colorSwap {
  color: #333;
  font-style: italic;
}

.nav-container {
  display: flex;
  align-items: center;
  color: #fd79c4;
}

.header1, .header3, .header4, .header6, .header7 {
  font-size: 1.5em;
  font-weight: 600;
  margin: 0 20px;
  cursor: pointer;
  color: #fd79c4;
  position: relative;
  transition: color 0.3s ease, border-bottom 0.3s ease;
  white-space: nowrap;


}

.header1:hover, .header3:hover, .header4:hover, .header6:hover, .header7:hover {
  color: #f41cae;
  border-bottom: 3px solid #f41cae;
}

.header5 {
  font-size: 1em;
  font-weight: 600;
  padding: 10px 20px;
  background-color: #FEABDA;
  color: white;
  border: none;
  border-radius: 50px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.header5:hover {
  background-color: #e59fb7;
  color: white;
}

.dropdown {
  position: relative;
}

.dropdown-content {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background-color: #fef3f8;
  min-width: 150px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  z-index: 1;
  border-radius: 8px;
}

.dropdown-content a {
  color: #f41cae;
  padding: 10px 20px;
  text-decoration: none;
  display: block;
  font-size: 1em;
  transition: background-color 0.3s ease;
}

.dropdown-content a:hover {
  background-color: #fd79c4;
  color: white;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.headerName:hover {
  color: #e59fb7;
  transition: color 0.3s ease;
}


.newClass {
    color: #f41cae;
    font-size: 3em;
    position: absolute;
    top: 30%;
    text-align: center;
    transform: translate(-50%, -50%);
    left: 50%;
    width: 100%;
}


#loginLinkMobile {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }

  #loginLinkMobile:hover {
    background-color: #ddd;
  }

  .mobile-menu {
    display: none; /* Start with the menu hidden */
    flex-direction: column;
    align-items: flex-start;
    background-color: #f9f9f9;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    position: absolute;
    top: 60px; /* Adjust this based on your header height */
    left: 0;
    right: 0;
    z-index: 1000;
  }



.hamburger {
    display: none; /* Initially hidden on larger screens */
    background: none;
    border: none;
    color: inherit;
    font: inherit;
    cursor: pointer;
    padding: 10px;
    position: absolute;
    right: 5%;
    top: 1%;
    font-size: 2em;
  }


  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}
.dropdown:hover .dropdown-content {
    display: block;
}

.logInHeader {
    text-align: center;
    font-size: 4em;
    margin-top: 8%;
    color: #333;}




    .link {
      color: #f41cae;
      text-decoration: underline;
    }

    .link:hover {
      cursor: pointer;
    }
    .forget {
      font-family: 'Playwright France Moderne';
      color: #333;
      text-align: center;
      margin-top: 80%;
    }
    #email:hover,
    #password:hover {
        box-shadow: 0 0 5px #FEABDA,
        0 0 25px #FEABDA,
        0 0 50px #FEABDA,
        0 0 200px #FEABDA;
        background-color: #fee9f7;
    }

    #email {
      border-radius: 10px;
      width: 28%;
      height: 8%;
      background-color: white;
      position: absolute;
      top: 58%;
      left: 36%;
      border:1px solid #f41cae;
      font-family: 'Playwright France Moderne';
      font-size: 1em;
      color: #333;
      transition: 0.3s ease-in-out;
      text-align: left;
      padding: 10px;
    }

    #password {
      border-radius: 10px;
      width: 28%;
      height: 8%;
      background-color: white;
      position: absolute;
      top: 72%;
      left: 36%;
      border:1px solid #f41cae;
      font-family: 'Playwright France Moderne';
      font-size: 1em;
      color: #333;
      transition: 0.3s ease-in-out;
      text-align: left;
      padding: 10px;
    }



#loginButton {
  border: none;
  position: absolute;
  border-radius: 40px;
  background-color: #f41cae;
  color: white;
  width: 20%;
  height: 10%;
  top: 90%;
  left: 40%;
  font-family: 'Bebas Neue';
  font-size: 2em;
}

#loginButton:hover {
  background-color: #ffa900;
  scale: 1.1;
  cursor: pointer;
}

.modalHeader1 {
    font-size: 5em;
    text-align: center;
    color: #f41cae;
  }


.hamburger {
    display: none; /* Initially hidden on larger screens */
    background: none;
    border: none;
    color: inherit;
    font: inherit;
    cursor: pointer;
    padding: 10px;
    position: absolute;
    right: 5%;
    top: 1%;
    font-size: 2em;
  }

  .colorAdd {
    color: #f41cae;
    font-size: 3.5em;
    position: absolute;
    left: 5%;
    top: 15%;
}

  #loginLinkMobile {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }

  #loginLinkMobile:hover {
    background-color: #ddd;
  }

  .mobile-menu {
    display: none; /* Start with the menu hidden */
    flex-direction: column;
    align-items: flex-start;
    background-color: #f9f9f9;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    position: absolute;
    top: 60px; /* Adjust this based on your header height */
    left: 0;
    right: 0;
    z-index: 1000;
  }

  .blog-container {
    max-width: 800px;
    margin: 50px auto;
    padding: 20px;
    padding-bottom: 100px;
}

.blog-image {
    height: 150px; /* Adjust for better layout */
    width: 150px;
    border-radius: 10px;
    object-fit: cover;
}

.blog-title {
    text-align: center;
    color: #fd79c4;
    font-size: 6em;
}

.blog-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 10%;

}

.blog-post a {
    display: flex;
    align-items: center;
    text-decoration: none;
    padding: 20px;
    background: #fef3f8;
    border-radius: 10px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    color: #333;
    transition: transform 0.2s;
    gap: 15px;
    height: 200px;
}

.blog-post a:hover {
    transform: scale(1.02);
}

.blog-text {
    flex: 1;
}

main {
    flex: 1;
  }
.blog-text h2 {
    font-size: 2.5em;
    margin-bottom: 5px;
}

.para {
    font-family: 'Playwright France Moderne';
    font-size: 1.2em;
}

.para1 {
    font-family: 'Playwright France Moderne';
    font-size: 1.2em;
    margin-left: 5%;
}


.blog-text p {
    font-size: 2em;
    color: #e59fb7;
}

.blog-content {
    max-width: 800px;
    margin: 50px auto;
    padding: 20px;
}

.blog-date {
    color: gray;
    font-size: 1em;
    margin-bottom: 10px;
}

.back-link {
    display: inline-block;
    margin-top: 100px;
    color: grey;
    text-decoration: none;
    font-size: 1.5em;
}

.back-link:hover {
    text-decoration: underline;
}

  .mobile-menu a {
    color: #333;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    font-size: 1.5em;
  }

  .mobile-menu a:hover {
    background-color: #ddd;
  }
  .mobile-menu a {
    color: #333;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    font-size: 1.5em;
  }

  .mobile-menu a:hover {
    background-color: #ddd;
  }


footer {
    height: 100%;
    padding: 20px;
    border-top: 1px solid #333;
    position: relative;
    width: 100%;
    bottom: 0;
  }


  .footer1 {
    position: absolute;
    font-size: 3em;
    color: #333;
    left: 3%;
    top: 100%;
  }

  .footer2 {
    position: absolute;
    font-size: 3em;
    color: #333;
    left: 50%;
    top: 100%;
  }

  .footer3 {
    position: absolute;
    font-size: 1.5em;
    color: #333;
    left: 50%;
    top: 305%;
    font-family: 'Playwright France Moderne';
    text-transform: uppercase;
    font-weight: normal;
    border-bottom: 2px #333 solid;
  }

  .footer4 {
    position: absolute;
    font-size: 1.5em;
    color: #333;
    left: 50%;
    top: 445%;
    font-family: 'Playwright France Moderne';
    text-transform: uppercase;
    font-weight: normal;
    border-bottom: 2px #333 solid;

  }



  .footer6 {
    position: absolute;
    font-size: 3em;
    color: #333;
    left: 70%;
    top: 100%;
  }

  .footer7 {
    position: absolute;
    font-size: 1.5em;
    color: #333;
    left: 70%;
    top: 305%;
    font-family: 'Playwright France Moderne';
    text-transform: uppercase;
    font-weight: normal;
    border-bottom: 2px #333 solid;

  }


  .signUpFooter {
    position: absolute;
    font-size: 3em;
    color: #333;
    left: 90%;
    top: 100%;
    font-family: 'Bebas Neue';
    background-color: transparent;
    border: none;
    font-weight: bold;
    color: #f41cae;

  }

  .footer8 {
    position: absolute;
    font-size: 1.5em;
    color: #333;
    left: 70%;
    top: 445%;
    font-family: 'Playwright France Moderne';
    text-transform: uppercase;
    font-weight: normal;
    border-bottom: 2px #333 solid;

  }


  .signUpFooter:hover {
    color: #fd79c4;
    cursor: pointer;
  }


  .footerName {
    color: #fd79c4;
    font-size: 15em;
    top: 700%;
    position: absolute;
  }

  .footer3:hover,
  .footer4:hover,
  .footer5:hover,
  .footer7:hover,
  .footer8:hover {
    color: #f41cae;
    cursor: pointer;
    border-bottom: 3px solid #f41cae;
  }

  .swap {
    font-style: italic;
    color: #333;
    font-weight: bold;
  }

  .imageClass {
    width: 32.2%;
    height: 20%;
    padding-top: 20px;
  }

  .subHead {
    color: #fd79c4;
    font-size: 3em;
    padding-top: 50px;
    padding-bottom: 200px;
  }

  .imageClass1 {
    width: 56%;
    height: 30%;
    padding-top: 20px;
  }

  .copy {
    position: absolute;
    top: 1350%;
    transform: translate(-50%, -50%);
    left: 50%;
  }

/* Media query for screens 917px and smaller */
@media (max-width: 917px) {
    .nav-container {
        display: none; /* Hide the normal navigation */
    }

    .hamburger {
        display: block;
        font-size: 2em;
        background: none;
        border: none;
        cursor: pointer;
        color: #fd79c4;
    }

    .mobile-menu {
        display: none; /* Initially hidden */
        flex-direction: column;
        background-color: #fef3f8;
        position: absolute;
        top: 100px;
        left: 0;
        width: 100%;
        padding: 10px 0;
        box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
        z-index: 1000;
    }

    .mobile-menu a,
    #loginLinkMobile, #signOutButtonMobile  {
        padding: 10px 20px;
        text-align: center;
        border-bottom: 1px solid #e0e0e0;
        color: #f41cae;
        font-size: 1.2em;
        transition: background-color 0.3s ease;
    }

    .mobile-menu a:hover,
    #loginLinkMobile:hover, #signOutButtonMobile:hover  {
        background-color: #fd79c4;
        color: white;
    }


  }

  @media only screen and (max-width: 1125px) {
    .signUpFooter {
      left: 3%;
      top: 300%;
    }
  }


  @media only screen and (max-width: 953px) {
    .footerName {
      font-size: 12em;
    }

    .copy {
      top: 1200%;
    }
  }
/* Media query for screens 917px and smaller */
@media (max-width: 917px) {
    .nav-container {
        display: none; /* Hide the normal navigation */
    }

    .hamburger {
        display: block;
        font-size: 2em;
        background: none;
        border: none;
        cursor: pointer;
        color: #fd79c4;
    }

    .mobile-menu {
        display: none; /* Initially hidden */
        flex-direction: column;
        background-color: #fef3f8;
        position: absolute;
        top: 100px;
        left: 0;
        width: 100%;
        padding: 10px 0;
        box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
        z-index: 1000;
    }

    .mobile-menu a,
    #loginLinkMobile, #signOutButtonMobile  {
        padding: 10px 20px;
        text-align: center;
        border-bottom: 1px solid #e0e0e0;
        color: #f41cae;
        font-size: 1.2em;
        transition: background-color 0.3s ease;
    }

    .mobile-menu a:hover,
    #loginLinkMobile:hover, #signOutButtonMobile:hover  {
        background-color: #fd79c4;
        color: white;
    }


  }


@media only screen and (max-width: 822px) {

  .footer1,
  .footer2,
  .footer6 {
    font-size: 2.5em;
  }

  .signUpFooter {
    font-size: 2.5em;
  }

  .footer3,
  .footer4,
  .footer5,
  .footer7,
  .footer8 {
    font-size: 1.2em;
  }

  .footerName {
    font-size: 10.5em;
  }



  }

  @media only screen and (max-width: 812px) {
    .blog-container {
      max-width: 600px;
      margin: 50px auto;
      padding: 20px;
      padding-bottom: 100px;
  }

  }


  @media only screen and (max-width: 650px) {

    .footer1,
    .footer2,
    .footer6 {
      font-size: 2em;
    }



    .signUpFooter {
      font-size: 2em;
    }

    .dropdown-content a {
      padding: 12px 16px;
      text-decoration: none;
      display: block;
      font-size: 1em;
    }

    .footer3,
    .footer4,
    .footer5,
    .footer7,
    .footer8,
    .footer9 {
      font-size: 1em;
    }

    .copy {
      top: 1000%;
    }

    .footerName {
      font-size: 9.5em;
      top: 600%;
    }

      .header5 {
        font-size: 12px;
        font-weight: 600;
        padding: 10px 20px;
        color: white;
        border: none;
        border-radius: 5px;
        cursor: pointer;
    }



      .dropdown-content a {
        color: black;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        font-size: 1em;
      }

    }



  @media only screen and (max-width: 599px) {
    .blog-container {
      max-width: 550px;
      margin: 50px auto;
      padding: 20px;
      padding-bottom: 100px;
  }

  .blog-title {
    font-size: 5em;
  }

  .blog-text h2 {
    font-size: 2em;
    margin-bottom: 5px;
}

.blog-text p {
  font-size: 1.8em;
}


.footerName {
  font-size: 9em;
}

  }

  @media only screen and (max-width: 556px) {
    .footerName {
      font-size: 8em;
    }

    .footer3,
    .footer4,
    .footer7,
    .footer8 {
      font-size: 0.9em;
    }
  }


@media only screen and (max-width: 450px) {
  .hamburger {
    display: block; /* Show hamburger on smaller screens */
    color: #fd79c4;
    cursor: pointer;
  }
  .modal-content {
    background-color: #fefefe;
    margin: 15% auto;
  padding: 20px;
   border: 1px solid #888;
        min-width: 300px;
  }

  #modalDescription {
    font-size: 0.8em;
    margin-top: 45px;
  }
  #modalTitle {
    font-size: 1.4em;
    white-space: nowrap;
  }

  .mobile-menu {
    display: none; /* Initially hidden */
    flex-direction: column;
    background-color: #fef3f8;
    position: absolute;
    top: 85px;
    left: 0;
    width: 100%;
    padding: 10px 0;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1000;
}
.nav-container {
  display: none; /* Hide navigation links on smaller screens */
}

.dropdown {
  display: none; /* Hide dropdowns in smaller screens */
}

.mobile-menu {
  display: none; /* Keep mobile menu hidden initially on smaller screens */
}

.logo {
  font-size: 5em;
}

.footerName {
  font-size: 3em;
}

.headerName {
  font-size: 2.4em;
}


.copy {
  transform: translate(-50%, -50%);
  left: 50%;
  top: 1300%;
  white-space: nowrap;
  font-size: 0.8em;
}

footer {
  height: 100%;
}

.signUpFooter {
  font-size: 2em;
  transform: translate(-50%, -50%);
  left: 50%;
  white-space: nowrap;
  top: 200%;
}

.footer1 {
  font-size: 2em;
  transform: translate(-50%, -50%);
  left: 50%;
  white-space: nowrap;
}

.footer2 {
  font-size: 2em;
  transform: translate(-50%, -50%);
  left: 50%;
  white-space: nowrap;
  top: 300%;
}

.footer3 {
  font-size: 1em;
  transform: translate(-50%, -50%);
  left: 50%;
  white-space: nowrap;
  top: 470%;
}

.footer4 {
  font-size: 1em;
  transform: translate(-50%, -50%);
  left: 50%;
  white-space: nowrap;
  top: 580%;
}

.footer6 {
  font-size: 2em;
  transform: translate(-50%, -50%);
  left: 50%;
  white-space: nowrap;
  top: 750%;
}

.footer7 {
  font-size: 1em;
  transform: translate(-50%, -50%);
  left: 50%;
  white-space: nowrap;
  top: 900%;
}

.footer8 {
  font-size: 1em;
  transform: translate(-50%, -50%);
  left: 50%;
  white-space: nowrap;
  top: 1010%;
}

.footerName {
  top: 1200%;
  text-align: center;
  transform: translate(-50%, -50%);
  left: 50%;

}

.modal1{
  display: none;
  position: fixed;
  z-index: 10000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content1 {
  background-color: #fefefe;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  min-width: 300px;
  height: 80%;
}

.modalHeader1 {
  font-size: 3em;
  margin-top: 5%;
}

#email {
  top: 40%;
  width: 60%;
  left: 20%;
}

#password {
  top: 55%;
  width: 60%;
  left: 20%;
}

#loginButton {
  top: 70%;
  font-size: 2em;
  width: 45%;
  left: 27%;
}


.forget {
  margin-top: 370px;
}}


@media only screen and (min-height: 800px) {
  .colorsHeader {
    margin-top: 8%;
  }

  .worksHeader {
    top: 50%;
  }


  #email {
    top: 50%;
  }

  #password {
    top: 65%;
  }

#loginButton {
  top: 80%;
  height: 7%;
}
.forget {
  margin-top: 1%;
}

.daysDue {
  top: 65%;
}

.subType {
  top: 70%;
}

.upgrade {
  height: 10%;
  top: 67%;
}
.addSection {
  top: 920%;
  height: 40%;

}

.currentPolishHeader {
  top: 100%;
}

#currentPolishBorder {
  margin-top: 850px;
}

#modalDescription {
  top: 23%;
}

#not {
  margin-top: 0.5%;
}

.colorAddPara {
  width: 40%;
}
}
